#238 Kernel panic on auto loading the wacom driver on 3.13 kernel from Ubuntu 14.04

closed-fixed
nobody
None
2015-12-04
2014-04-21
No

When plugging my wacom cth-480 tablet in my laptop, there is an immediate kernel panic and the system stop.

I am quite unable to see which version is the one included in the ubuntu kernel --- is there some spot in the source code where the version is recorded? Nevertheless, the source used is here on ubuntu git.

The really strange thing is that if I manually load the driver with modprobe wacom before plugging the tablet in, all is working ok.

I have open a bug on launchpad too: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1310800 : I'll attach here the same kernel panic screenshot.

1 Attachments

Related

Bugs: #238

Discussion

  • Przemo Firszt

    Przemo Firszt - 2014-04-22

    Could you try to bisect the problem? There is a detailed guide for ubuntu here: https://wiki.ubuntu.com/Kernel/KernelBisection
    Please contact me if you need any help if you decide to bisect the bug.

     
  • Romano Giannetti

    I have quite little time to do that now --- and the machine I have with 14.04 is really slow (it's an asus 1005PE --- it can stay hours compiling a kernel).

    In addition, the bisection could be quite messy: it worked for me with kernel 3.11 and the input-wacom module compiled separetedly (the ubuntu-provided kernel driver did not work with my tablet, see http://askubuntu.com/questions/368242/wacom-graphics-tablet-cth-480-ctl-480-not-detected-in-ubuntu-13-10), so I would not really know where to put the good point for starting bisect.

    What can I do is trying to recompile input-wacom-0.20 (which worked added to kernel 3.11) under kernel 3.13, and test if the problem persists or not. Would that be useful?

     
  • Elv13

    Elv13 - 2014-04-23

    Hello,

    You can upgrade to the latest Kernel, unplug the device, call "sudo modprobe wacom" from a terminal and plug it again. It work for me. This issue have been previously discussed on the mailing list.

     
  • Romano Giannetti

    @Elv13: if I manually load the module before connecting the tablet all is ok even with the standard Ubuntu kernel.

    The problem is that if I connect the tablet before loading the module, the autoload go awok and the system crashes in a very hard and dangerous way.

    Is that a known problem? In that case it is really important to add the loading of the wacom module at boot to avoid potential data loss for the users. Can you send me references to the mailing list discussion so that I can file an urgent SRU?

     
  • Romano Giannetti

    Ok, compiling 0.21.0 against the upstream kernel (will test with the stock one) will too avoid the crash.

    I think that my expertise stops here... I do not know how to check for differences between the input-wacom official tree and the ubuntu tree.

     
  • Jason Gerecke

    Jason Gerecke - 2014-04-25

    Its odd that you see a panic with the Ubuntu kernel but everything is fine using input-wacom 0.21.0. I've compared the two drivers, and aside from several meaningless whitespace differences, I only see three differences (coming to a grand total of 11 lines of code):

    • Ubuntu supports POWER_SUPPLY_PROP_SCOPE (due to be added in input-wacom-0.22.0)
    • Ubuntu support the ISDv4 0x10E sensor (looks like I forgot to backport this one...)
    • Ubuntu defines SW_MUTE_DEVICE by default

    None seem like particularly good candidates for lurking kernel panics, though the first would probably be my best guess since the CTH-480 can use the wireless kit. That (and only that) function has been added to the input-wacom git repository, so you could quickly test this by cloning the repository and building/installing its driver:

    $ git clone git://git.code.sf.net/p/linuxwacom/input-wacom
    $ cd input-wacom
    $ ./autogen.sh
    $ cp 3.7/wacom.ko <your_kernel_directory_here>

     
  • Romano Giannetti

    Ok, no bug even with the git. I am really puzzled now.

    (The problem is that now I have overwritten the distributed wacom.ko --- I am not sure if a --reinstall of the kernel package will give me back the original one). I am starting to think that I could had a corrupted file).

    BTW, yes, I have the wireless kit installed.

     
  • Jason Gerecke

    Jason Gerecke - 2014-04-25

    I would think a --reinstall would replace all the files. If you want to be sure, you can always run md5sum $KERNEL_MODULE_PATH/wacom.ko both before and after; you'd have to be extraordinarily unlucky for the hashes to be identical :)

     
  • Elv13

    Elv13 - 2014-04-25

    It is also possible to build the faulty module using the kernel source package or tars from kernel.org

     
  • Romano Giannetti

    Ok, I reinstalled linux-kernel-extra and I was not able to reproduce the crash.

    Still, I tried with two upstream kernels and had the crash. Puzzled. Could it be an Heisenbug? timing-related?

    Will run a bit with stock drivers, and see what happens. Thanks and sorry for the fuss.

     
  • Elv13

    Elv13 - 2014-04-25

    It is systematic for me, if the module is loaded when the device is plugged, at always panic.

     
    • Jason Gerecke

      Jason Gerecke - 2014-04-25

      Elv13, do you see the panic with input-wacom, or only with the
      upstream drivers like Romano? Not that I want input-wacom to crash,
      but it would make a little more sense...

      Jason

      Now instead of four in the eights place /
      you’ve got three, ‘Cause you added one /
      (That is to say, eight) to the two, /
      But you can’t take seven from three, /
      So you look at the sixty-fours....

      On Fri, Apr 25, 2014 at 11:27 AM, Elv13 elv13@users.sf.net wrote:

      It is systematic for me, if the module is loaded when the device is plugged,
      at always panic.


      [bugs:#238] Kernel panic on auto loading the wacom driver on 3.13 kernel
      from Ubuntu 14.04

      Status: open
      Group: Production
      Created: Mon Apr 21, 2014 09:57 PM UTC by Romano Giannetti
      Last Updated: Fri Apr 25, 2014 06:26 PM UTC
      Owner: nobody

      When plugging my wacom cth-480 tablet in my laptop, there is an immediate
      kernel panic and the system stop.

      I am quite unable to see which version is the one included in the ubuntu
      kernel --- is there some spot in the source code where the version is
      recorded? Nevertheless, the source used is here on ubuntu git.

      The really strange thing is that if I manually load the driver with modprobe
      wacom before plugging the tablet in, all is working ok.

      I have open a bug on launchpad too:
      https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1310800 : I'll attach
      here the same kernel panic screenshot.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/linuxwacom/bugs/238/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #238

  • Lingyong Sun

    Lingyong Sun - 2014-08-16

    I tried to make update and upgrade (also autoremove) and it worked.It seems that the bug is fixed.

     
  • Walt

    Walt - 2014-09-19

    I have the same issue. Plugging in wacom intuos tablet triggers kernel panic. If the tablet is plugged in before booting, there is no kernel panic. I have attached dump files. I note: "BUG: unable to handle kernel NULL pointer dereference at 00000018" - may be a clue?

     
  • Jason Gerecke

    Jason Gerecke - 2015-08-26
     
  • Jason Gerecke

    Jason Gerecke - 2015-08-26

    Please see my latest comment in the Launchpad bug.

    This bug was introduced along with support for the new "Intuos" tablets in Linux 3.14 (commit 961794a) and was later fixed in Linux 3.19 (commit 44b9683). Potentially affected distributions include Fedora 21, Ubuntu 14.10, Debian 8, SUSE 13.2, etc. Ubuntu 14.04 is additionally affected since support for the "Intuos" was backported to its 3.13 kernel.

     
  • Ping Cheng

    Ping Cheng - 2015-11-18
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks